# =========================================
# Plataforma de Cursos en Línea - Docker
# =========================================
# Uso:
#   docker compose up -d
#   Abrir: http://localhost:8080
# =========================================

services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: plataforma-cursos
    ports:
      - "8080:80"
    env_file:
      - .env
    environment:
      - APP_URL=http://localhost:8080
    volumes:
      # Montar código fuente para desarrollo en vivo
      - .:/var/www/html
      # Persistir videos subidos
      - storage_data:/var/www/html/storage
    restart: unless-stopped

volumes:
  storage_data:
    driver: local
